Bug 1368495 - Unable to install ppc64/ppc64le f25 daily server image on VM thru cdrom
Summary: Unable to install ppc64/ppc64le f25 daily server image on VM thru cdrom
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dracut
Version: 25
Hardware: ppc64le
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: dracut-maint-list
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PPCTracker
TreeView+ depends on / blocked
 
Reported: 2016-08-19 14:47 UTC by Menanteau Guy
Modified: 2016-09-06 18:25 UTC (History)
10 users (show)

Fixed In Version: dracut-044-77.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-06 18:24:55 UTC


Attachments (Terms of Use)
console log (26.24 KB, text/plain)
2016-08-19 14:47 UTC, Menanteau Guy
no flags Details
status of initrd-switch-root (1.12 KB, text/plain)
2016-08-19 14:48 UTC, Menanteau Guy
no flags Details
rdosreport log (55.21 KB, text/plain)
2016-08-19 14:49 UTC, Menanteau Guy
no flags Details

Description Menanteau Guy 2016-08-19 14:47:09 UTC
I tried to install the ppc64/ppc64le daily server image on a VM machine thru a cdrom without success.

It ends by:  
[  OK  ] Started Cleanup udevd DB.
[  OK  ] Reached target Switch Root.
         Starting Switch Root...
[FAILED] Failed to start Switch Root.
See 'systemctl status initrd-switch-root.service' for details.

Generating "/run/initramfs/rdsosreport.txt"


Entering emergency mode. Exit the shell to continue.
Type "journalctl" to view system logs.
You might want to save "/run/initramfs/rdsosreport.txt" to a USB stick or /boot
after mounting them and attach it to a bug report.


It seems that the sysroot is not correctly filled.
Aug 19 13:04:25 localhost systemctl[1554]: Failed to switch root: Specified switch root path /sysroot does not seem to be an OS tree. os-release file is missing



images tried:
ppc64le ---> http://ppc.koji.fedoraproject.org/compose/branched/Fedora-25-20160818.n.0/compose/Server/ppc64le/iso/Fedora-Server-dvd-ppc64le-25-20160818.n.0.iso
ppc64 ---> http://ppc.koji.fedoraproject.org/compose/branched/Fedora-25-20160817.n.0/compose/Server/ppc64/iso/Fedora-Server-dvd-ppc64-25-20160817.n.0.iso

qemu command:
/usr/bin/qemu-system-ppc64 -name f24_91 -enable-kvm -M pseries -smp 4 -m 8G -nographic -nodefaults -monitor stdio -serial pty -device virtio-net-pci,netdev=net10131,mac=c0:ff:ee:00:00:91 -netdev bridge,br=br0,id=net10131 -cdrom isole -drive file=hd1.qcow2 -drive file=hd2.qcow2 -S

where "isole" is a link on the ppc64le behind image

Note that using network boot or petitboot with kexec works successfully, the problem appears to be only when a cdrom is used.

Any suggestion to debug it is welcome.

Comment 1 Menanteau Guy 2016-08-19 14:47:55 UTC
Created attachment 1192157 [details]
console log

Comment 2 Menanteau Guy 2016-08-19 14:48:50 UTC
Created attachment 1192158 [details]
status of initrd-switch-root

Comment 3 Menanteau Guy 2016-08-19 14:49:25 UTC
Created attachment 1192159 [details]
rdosreport log

Comment 4 Menanteau Guy 2016-08-22 13:32:24 UTC
It could be similar to Redhat bug https://bugzilla.redhat.com/show_bug.cgi?id=1359124

Comment 5 Peter Robinson 2016-08-23 09:36:55 UTC
does it work with net/PXE/virt-instal install?

Comment 6 Menanteau Guy 2016-08-23 12:26:19 UTC
Peter, net install and PXE are ok on VM machine and on bare metal too, 
qemu and virt-install failed when using install from cdrom.

Comment 7 Gustavo Luiz Duarte 2016-08-25 14:48:23 UTC
This is probably the same issue as BZ 1365667.

[]'s
Gustavo

Comment 8 Dan Horák 2016-08-25 16:11:47 UTC
(In reply to Gustavo Luiz Duarte from comment #7)
> This is probably the same issue as BZ 1365667.
> 
> []'s
> Gustavo

yes, seems it is, switching to dracut

Comment 9 Fedora Update System 2016-08-25 16:12:08 UTC
dracut-044-77.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-37c9db36c2

Comment 10 Fedora Update System 2016-08-25 18:20:08 UTC
dracut-044-77.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-37c9db36c2

Comment 11 Fedora Update System 2016-09-06 18:24:50 UTC
dracut-044-77.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-09-06 18:25:05 UTC
dracut-044-77.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.